<div align='center'>
<picture>
  <source media="(prefers-color-scheme: dark)"
  srcset="https://imgur.com/Nm4OzW0.png" alt="LFDI logo"/>
  <img src="https://i.imgur.com/bC2UbSf.png" alt="LFDI logo"/>
</picture>
</div>

<p align='center'>
  <a title="Made with Fluent Design" href="https://github.com/bdlukaa/fluent_ui">
    <img src="https://img.shields.io/badge/fluent-design-blue?style=flat-square&color=7A7574&labelColor=0078D7"/>
  </a>
  <a title="Coded on Flutter with love 💖" href="https://flutter.dev">
    <img src="https://img.shields.io/badge/flutter-v2.10.5-blue">
  </a>
  <a title="Thank you, Dart!" href="https://dart.dev">
    <img src="https://img.shields.io/badge/dart-v2.16.2-blue">
  </a>
  <a title="I don't understand if it works or not" href="">
    <img src="https://img.shields.io/badge/works%3F-probably-yellow">
  </a>
  <a title="Just chill" href="">
    <img src="https://img.shields.io/badge/author%20is-chilling-orange">
  </a>
</p>

<div align='center'>

  **[This page on English](../README.md)**

</div>

<p align='center'>
Показывает, что Вы слушаете сейчас, в Вашем <b>Discord</b> статусе
</p>

# Введение

Вы не используете Spotify ~~(отличное решение)~~, но хотите покзывать,
что Вы слушаете, в своём статусе Discord? LFDI поможет Вам в этом!

# Table of contents

- [Почему LFDI?](#почему-lfdi)
- [Быстрый обзор](#быстрый-обзор)
- [Установка](#установка)
- [Начальные настройки](#начальные-настройки)
- [Системные требования](#системные-требования)
- [Пожелания и предложения](#пожелания-и-предложения)
- [Скриншоты](#скриншоты)

## Почему LFDI?

- **Выглядит потрясно**
- Смешное **название**
- Написано на [Flutter][flutter] *(это очень важно!)*
- Вы можете свернуть приложение в системный трей (аналоги так не умеют)
- Написано [tαngenx][tangenx]                             <- это я!
- Работает (аналоги так не умеют)
- Использует максимум **80** MB вашей оперативной памяти!

[flutter]: https://flutter.dev
[tangenx]: https://github.com/tangenx

## Быстрый обзор

LFDI (*лфди*) обновляет Ваш [Discord][Discord] статус каждые 30 секунд,
показывая, что Вы слуашаете сейчас.

Вы можете кастомизировать свой статус! Например, **Играет some music**
или **Слушает <ваше_музыкальное_приложение>**.

<div align='center'>

  ![Status example 1](https://i.imgur.com/QFadjYD.png)

  ![Status example 2](https://i.imgur.com/cfA9HfG.png)

</div>

Как можно заметить, LFDI считает, сколько раз Вы прослушали трек и
сколько времени потратили на его прослушивание!

<details>
  <summary>Вы можете свернуть приложение в системный трей и продолжать заниматься
  любимыми делами со своей любимой музыкой, и LFDI не будет мешать!</summary>

  <div align='center'>

  ![Minimizing](https://i.imgur.com/zqlJ5Zr.png)

  </div>

</details>

А ещё вы можете разрешить запуск приложения во время запуска системы и
вообще забыть о нём ~~(не надо, пожалуйста)~~!

[Discord]: https://discord.com/

## Установка

- Откройте [страницу последней версии приложения][Latest release]
- Скачайте установщик в зависимости от Вашей системы
~~(пожалуйста сделай версию для MacOS)~~
- Запустите установщик и следуйте его инструкциям

[Latest release]: https://github.com/tangenx/lfdi/releases/latest

## Начальные настройки

Для минимальной работы приложению нужны Ваши [ключ API last.fm][last.fm API key]
и имя пользователя.

На странице `Last.fm settings`, вставьте ключ API last.fm и имя пользователя
в соответствующие поля. Нажмите **Apply** и случится магия!

<div align='center'>

  ![Last.fm settings form](https://i.imgur.com/q9m42iy.png)

</div>

Теперь Вам доступны статусы **Играет в**. Чтобы настроить и использвать статусы
**Слушает**, перейдите на страницу `Discord Gateway settings`.

**ПРЕДУПРЕЖДЕНИЕ:** Использования статусов "Слушает" [может быть нелегальным](./ru/why%20the%20gateway%20seems%20illegal.md)!

Инструкция по настройке Discord Gateway, [здесь](./ru/gateway/configure.md).

[last.fm API key]: https://www.last.fm/api/account/create

## Системные требования

- Windows 7 или новее (жесть оно запускается на Windows 7)
- Linux и MacOS версии в будущем
- На этом всё

## Пожелания и предложения

Пожалуйста, оставляйте ваши баги приколы фэйлы на [этой странице][issues].
Это важно, потому что:

- Я не знаю как **кодить** ~~flutter приложения~~
- Я понимаю примерно **7**% моего кода
- Остальные **93**% моего кода - мусор
- Я не знаю как **тестировать** flutter приложения

Спасибо!

[issues]: https://github.com/tangenx/lfdi/issues

## Скриншоты

<details>
  <summary>Windows 11 (выглядит потрясно!)</summary>

  <div align='center'>

  ![Windows 11_1](https://i.imgur.com/0qeyNi8.png)

  ![Windows 11_2](https://i.imgur.com/UP2hK3A.png)

  </div>

</details>

<details>
  <summary>Windows 10 (весёлое окошко)</summary>

  <div align='center'>

  ![Windows 10](https://i.imgur.com/7HNUsLl.png)

  </div>

</details>

<details>
  <summary>Windows 8/8.1</summary>

  <div align='center'>

  ![Windows 8.1](https://i.imgur.com/5AJTRK0.png)

  </div>

</details>

<details>
  <summary>Windows 7 (ещё раз жесть, оно работает на Windows 7)</summary>

  <div align='center'>

  ![Windows 7](https://i.imgur.com/6g3Q5SI.png)

  </div>

</details>

<div align="center">
  <a title="j++" href="https://github.com/jppteam">
<picture>
  <source media="(prefers-color-scheme: dark)"
  srcset="https://i.imgur.com/BxcB86k.png" alt="J++ logo" width="300px"/>
  <img src="https://i.imgur.com/YneSpeq.png" alt="J++ logo" width="300px"/>
</picture>
  </a>
</div>
